services:
    App\EventListener\ErrorListener:
        arguments:
            - "@twig"
            - "@doctrine.orm.default_entity_manager"
        tags:
            - { name: kernel.event_subscriber, priority: 0 }

    App\EventListener\SettingListener:
        arguments:
            - "@twig"
            - "@doctrine.orm.default_entity_manager"
        tags:
            - { name: kernel.event_subscriber, priority: 0 }

    App\EventListener\VisitListener:
        arguments:
            - "@doctrine.orm.default_entity_manager"
            - "@security.token_storage"
        tags:
            - { name: kernel.event_subscriber, priority: 0 }

    App\EventListener\PasswordResettingListener:
        arguments:
            - "@router"
            - "@doctrine.orm.default_entity_manager"
        tags:
            - { name: kernel.event_subscriber }

    App\EventListener\GroupListener:
        arguments:
            - '@App\Manager\GroupManager'
        tags:
            - { name: doctrine.event_subscriber }

    App\EventListener\UserGroupListener:
        tags:
            - { name: doctrine.event_subscriber }

    App\EventListener\PopupListener:
        arguments:
            - "@twig"
            - "@doctrine.orm.default_entity_manager"
            - "@security.token_storage"
        tags:
            - { name: kernel.event_subscriber, priority: 0 }

    App\EventListener\SecurityLoginListener:
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@translator"
        tags:
            - { name: kernel.event_subscriber }
